Bug 430412 - dbus-daemon stays behind after logout
dbus-daemon stays behind after logout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-01-27 15:26 EST by Pete Zaitcev
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 19:46:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2008-01-27 15:26:06 EST
Description of problem:

When I log out of my session, dbus-daemon stays behind (and apparently
other daemons stick to it).

Version-Release number of selected component (if applicable):

dbus-1.1.4-1.fc9.x86_64

How reproducible:

Always (tried on two systems)

Steps to Reproduce:
1. Log out normally
2. At gdm screen, hit Alt-F1
3. Run ps ux, you'll see the daemons
  
Actual results:

Left behind processes exist.

Expected results:

No processes left behind after logout.

Additional info:

Here's the unedited ps uxw output (long lines)

USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
zaitcev   2673  0.0  0.1  19908  1064 ?        Ss   11:50   0:00
/bin/dbus-daemon --fork --print-pid 7 --print-address 9 --session
zaitcev   2716  0.0  0.3 148556  3368 ?        Ssl  11:50   0:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=16
zaitcev   2747  0.0  0.2  34864  1984 ?        S    11:50   0:00 /usr/libexec/gvfsd
zaitcev   2751  0.0  0.2  47436  2508 ?        S    11:50   0:00
/usr/libexec/gvfsd-trash --spawner :1.9 /org/gtk/gvfs/exec_spaw/0
zaitcev   2759  0.0  0.2  34868  2056 ?        S    11:50   0:00
/usr/libexec/gvfsd-burn --spawner :1.9 /org/gtk/gvfs/exec_spaw/1
zaitcev   2762  0.0  0.4 168208  4096 ?        S    11:50   0:00
/usr/libexec/gnome-vfs-daemon
zaitcev   3042  0.0  0.1  87384  1720 tty1     Ss   12:18   0:00 -bash
zaitcev   3189  0.0  0.1  87112   992 tty1     R+   12:18   0:00 ps uxw
Comment 1 Matthias Clasen 2008-02-05 00:14:31 EST
Here is what I found after spending most of the day on this: the dbus-launch
babysitter opens an X connection to catch the X server going away. 
I can see it going into the while (XPending()) XNextEvent() loop, and run into
some assertion inside Xlib in one of the XPending calls.
Comment 2 Matthias Clasen 2008-02-05 10:23:06 EST
I'm building dbus-1.1.4-4.fc9 with a possible fix now. 
Please tell me if that fixes it for you.
Comment 3 Matthias Clasen 2008-02-08 19:46:20 EST
I'll assume this is fixed. Reopen if not.
Comment 4 Pete Zaitcev 2008-02-08 20:45:42 EST
Indeed the 1.1.4-4.fc9 works.

Note You need to log in before you can comment on or make changes to this bug.